MONGOC_URI_SET_USERNAME(3)

NAME
mongoc_uri_set_username - mongoc_uri_set_username()

SYNOPSIS

        bool
        mongoc_uri_set_username (mongoc_uri_t *uri, const char *username);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   username: The new username.

DESCRIPTION

Sets the URI's username, after the URI has been parsed from a string. The driver authenticates with this username if the password is also set.

RETURNS

Returns false if the option cannot be set, for example if username is not valid UTF-8.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc